Bug 127785 - Minor coding error in /usr/bin/ooffice
Summary: Minor coding error in /usr/bin/ooffice
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-13 20:53 UTC by Matthew Strait
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 02:26:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Strait 2004-07-13 20:53:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
Line 41 of /usr/bin/ooffice defines $OOPROGRAM for the location of the
OpenOffice.org program directory.  Line 114 should use this variable,
but does not.  Current line 114:

if /usr/bin/ooffice/program/setup
-r:/etc/openoffice/autoresponse.conf; then

Fixed line 114:

if $OOPROGRAM/setup -r:/etc/openoffice/autoresponse.conf; then

This allows the location of the program directory to be changed easily.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-16

How reproducible:
Always

Steps to Reproduce:
1. Move the Openoffice.org program directory
2. Edit line 41 of /usr/bin/ooffice to match the new location
3. Try to run /usr/bin/ooffice

Actual Results:  OpenOffice.org does not run.

Expected Results:  OpenOffice.org should have run.

Comment 1 Dan Williams 2004-09-17 02:26:04 UTC
should be fixed in latest versions, in FC2 and later...


Note You need to log in before you can comment on or make changes to this bug.